Bug 305307 - Removal of the --notransparency option removes necessary workaround for NVIDIA users
Summary: Removal of the --notransparency option removes necessary workaround for NVIDI...
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 2.9.999
Platform: Ubuntu Packages Linux
: NOR major (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-17 08:06 UTC by Matthias Kretz
Modified: 2012-08-26 13:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments
part 1 to the fix (3.13 KB, patch)
2012-08-17 08:08 UTC, Matthias Kretz
Details
part 2 documents the need for the flag (929 bytes, patch)
2012-08-17 08:09 UTC, Matthias Kretz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Kretz 2012-08-17 08:06:06 UTC
I see you removed --notransparency for KDE 4.9. I relied on that flag because of broken NVIDIA drivers. Transparency works alright here, so Konsole enables it. But when I switch desktops and then switch back to the one where Konsole is open, the GPU hangs for several seconds. It's that bad that I can almost fetch a coffee in that time. Disabling transparency has been the recommended workaround for NVIDIA users that suffered from this.

Reproducible: Always
Comment 1 Matthias Kretz 2012-08-17 08:08:52 UTC
Created attachment 73248 [details]
part 1 to the fix
Comment 2 Matthias Kretz 2012-08-17 08:09:16 UTC
Created attachment 73249 [details]
part 2 documents the need for the flag
Comment 3 Kurt Hindenburg 2012-08-21 13:28:44 UTC
66b4a96e9353525703db77b189771a454f38f03d is the git commit that removed this
Comment 4 Kurt Hindenburg 2012-08-26 13:20:05 UTC
Git commit a70f507b67d0acc87d1e9cb7c7ab320620ea0ea6 by Kurt Hindenburg.
Committed on 26/08/2012 at 15:13.
Pushed by hindenburg into branch 'master'.

Restore --notransparency option for NVIDIA users

Some NVIDIA users still require this option for Konsole to work as
expected

This reverts 66b4a96e9353525703db77b189771a454f38f03d

Thanks to Matthias Kretz kretz@kde.org for patch/info.
FIXED-IN: 4.10

M  +6    -0    doc/manual/index.docbook
M  +13   -4    src/MainWindow.cpp
M  +3    -0    src/main.cpp

http://commits.kde.org/konsole/a70f507b67d0acc87d1e9cb7c7ab320620ea0ea6
Comment 5 Kurt Hindenburg 2012-08-26 13:31:54 UTC
Git commit c7e6dba07ba70197a5fe38cfda54191753ec1dff by Kurt Hindenburg.
Committed on 26/08/2012 at 15:13.
Pushed by hindenburg into branch 'KDE/4.9'.

Restore --notransparency option for NVIDIA users

Some NVIDIA users still require this option for Konsole to work as
expected

This reverts 66b4a96e9353525703db77b189771a454f38f03d

Thanks to Matthias Kretz kretz@kde.org for patch/info.
FIXED-IN: 4.10
(cherry picked from commit a70f507b67d0acc87d1e9cb7c7ab320620ea0ea6)

M  +6    -0    doc/manual/index.docbook
M  +13   -4    src/MainWindow.cpp
M  +3    -0    src/main.cpp

http://commits.kde.org/konsole/c7e6dba07ba70197a5fe38cfda54191753ec1dff